jQuery(function( $ ) {
	//Get start date label
	var start_label = $("#_wscsd_start_label").val();
	//Condition to remove the start label when page loaded
	if(!start_label){
		$(".wscsd_hide_date_options").css("display", "none");
	}
	//Display options when a custom start is selected
	$("#_wscsd_delay_type").change(function(){
	    $(".wscsd_delay_additional_options").css("display", "none");
	     var str = $("#_wscsd_delay_type").val();
		 
	     if( ( !str ) || ( 'no_delay' == str ) ) {
	        $(".wscsd_hide_date").css("display", "none");
		 	$(".wscsd_cut_off").css("display", "none");
		 	$(".wscsd_max_dates").css("display", "none");
		 	$(".wscsd_label").css("display", "none");
		 	$(".wscsd_cut_off_max").css("display", "none");
		 	$(".wscsd_delay_payment").css("display", "none");
		 	
	    } else {
	    	$(".wscsd_delay_payment").css("display", "block");
	    	if( str == 'delay') {
				//Show the start date label (wscsd_hide_date_options) field
				$(".wscsd_hide_date_options").css("display", "block");
	    		$(".wscsd_hide_date").css("display", "block");
		 		$(".wscsd_cut_off").css("display", "none");
		 		$(".wscsd_max_dates").css("display", "none");
		 		$(".wscsd_cut_off_max").css("display", "none");
		 	} else if( str == 'fixed' ){
				//Show the start date label (wscsd_hide_date_options) field
				$(".wscsd_hide_date_options").css("display", "block");
		 		$(".wscsd_hide_date").css("display", "block");
		 		$(".wscsd_cut_off").css("display", "block");
		 		$(".wscsd_max_dates").css("display", "block");
		 		$(".wscsd_cut_off_max").css("display", "none");
		 	} else {
		 		$(".wscsd_hide_date").css("display", "none");
		 		$(".wscsd_label").css("display", "block");
		 		$(".wscsd_max_dates").css("display", "none");
		 		$(".wscsd_cut_off").css("display", "block");		
		 		$(".wscsd_cut_off_max").css("display", "block");
		 	}
	    }
		$(".wscsd_"+str).css("display", "block");
	});

	
	//Display date options
	$("#_wscsd_hide_date").click(function(){
	    $(".wscsd_hide_date_options").css("display", "block");
	     if($("#_wscsd_hide_date").prop("checked") == false) {
	          $(".wscsd_hide_date_options").css("display", "block");
	          $(".wscsd_max_dates").css("display", "block");
	          $(".wscsd_label").css("display", "block");
	    } else {
	    	$(".wscsd_hide_date_options").css("display", "none");
	    	$(".wscsd_max_dates").css("display", "none");
	    	$(".wscsd_label").css("display", "none");
	    }
	});

	/*****
	Fixed dates
	******/
	//Add dates (Simple Subscription)
	$('body').on('click', '#_wscsd_fixed_start_dates_add', function(){
		var start_date = $(this).parent().siblings("#_wscsd_fixed_start_dates_field").val();
		if ($(this).closest('.wscsd_fixed').children('.wscsd_fixed_start_dates_save').val().indexOf(start_date) < 0) {
			$(this).closest('._wscsd_fixed_start_dates_field_field').siblings("#_wscsd_fixed_start_dates_display").append("<span class='wscsd_fixed_start_date'><span class='wscsd_fixed_start_date_data'>"+start_date+"</span><span class='wscsd_fixed_start_date_delete'> X </span></span>");
    	  	$(this).closest('.wscsd_fixed').children('.wscsd_fixed_start_dates_save').val($(this).closest('.wscsd_fixed').children('.wscsd_fixed_start_dates_save').val()  + start_date + '|');
    	  	$(this).parent().siblings("#_wscsd_fixed_start_dates_field").val('');
		}
	});
	//Delete dates
	$('body').on('click', '.wscsd_fixed_start_date_delete', function(){
		var date_to_delete = $(this).closest('.wscsd_fixed_start_date').children('.wscsd_fixed_start_date_data').html() + '|';
		$('#_wscsd_fixed_start_dates_save').val($('#_wscsd_fixed_start_dates_save').val().replace(date_to_delete, ''));
		//variation
		var var_old_dates = $(this).closest('.wscsd_variation').children('.wscsd_fixed_start_dates_save').val();
		if ( (var_old_dates) && (var_old_dates.length > 0) ) {
			$(this).closest('.wscsd_variation').children('.wscsd_fixed_start_dates_save').val($(this).closest('.wscsd_variation').children('.wscsd_fixed_start_dates_save').val().replace(date_to_delete, ''));
			$( this ).closest( '.woocommerce_variation' ).addClass( 'variation-needs-update' );
	    	$( 'button.cancel-variation-changes, button.save-variation-changes' ).prop( 'disabled', false );
		}
		//end variation
	    $(this).closest('.wscsd_fixed_start_date').remove();
	});
	//Delete all dates (Simple Subscription)
	$('body').on('click', '.wscsd_fixed_start_dates_deleteall', function(){
		$(this).closest('.wscsd_fixed').children('.wscsd_fixed_start_dates_save').val('');
	    $(this).siblings("#_wscsd_fixed_start_dates_display").children('.wscsd_fixed_start_date').remove();
	    $( this ).closest( '.woocommerce_variation' ).addClass( 'variation-needs-update' );
	    $( 'button.cancel-variation-changes, button.save-variation-changes' ).prop( 'disabled', false );
	});

	/*****
	Fixed delays
	******/
	//Add dates
	$('body').on('click', '#_wscsd_fixed_delays_add', function(){
		var start_delay = $(this).parent().siblings("#_wscsd_fixed_delay_field").val() + ' ' + $(this).parent().siblings("#_wscsd_fixed_delay_period").val();
		if ($(this).closest('.wscsd_delay').children('.wscsd_fixed_delays_save').val().indexOf(start_delay) < 0) {
			$(this).closest('.form-field').siblings("#_wscsd_fixed_delays_display").append("<span class='wscsd_fixed_delay'><span class='wscsd_fixed_delay_data'>"+start_delay+"</span><span class='wscsd_fixed_delay_delete'> X </span></span>");
    	  	$(this).closest('.wscsd_delay').children('.wscsd_fixed_delays_save').val($(this).closest('.wscsd_delay').children('.wscsd_fixed_delays_save').val()  + start_delay + '|');
    	  	$(this).parent().siblings('#_wscsd_fixed_delay_field').val('');
		}
	});
	//Delete dates
	$('body').on('click', '.wscsd_fixed_delay_delete', function(){
		var delay_to_delete = $(this).closest('.wscsd_fixed_delay').children('.wscsd_fixed_delay_data').html() + '|';
		//$('#_wscsd_fixed_delays_save').val($('#_wscsd_fixed_delays_save').val()  + delay_to_delete + '|');
		$('#_wscsd_fixed_delays_save').val($('#_wscsd_fixed_delays_save').val().replace(delay_to_delete, ''));
		//variation
		var var_old_delay = $(this).closest('.wscsd_variation').children('.wscsd_fixed_delays_save').val();
		if ( (var_old_delay) && (var_old_delay.length > 0) ) {
			$(this).closest('.wscsd_variation').children('.wscsd_fixed_delays_save').val($(this).closest('.wscsd_variation').children('.wscsd_fixed_delays_save').val().replace(delay_to_delete, ''));
			$( this ).closest( '.woocommerce_variation' ).addClass( 'variation-needs-update' );
	    	$( 'button.cancel-variation-changes, button.save-variation-changes' ).prop( 'disabled', false );
		}
		
		//end variation
	    $(this).closest('.wscsd_fixed_delay').remove();
	});
	//Delete all dates (Fixed delays Field)
	$('body').on('click', '.wscsd_fixed_delays_deleteall', function(){
		$(this).closest('.wscsd_delay').children('.wscsd_fixed_delays_save').val('');
	    $(this).siblings("#_wscsd_fixed_delays_display").children('.wscsd_fixed_delay').remove();
	    $( this ).closest( '.woocommerce_variation' ).addClass( 'variation-needs-update' );
	    	$( 'button.cancel-variation-changes, button.save-variation-changes' ).prop( 'disabled', false );
	});

	/*****
	Calendar
	******/
	$('body').on('change', '#_wscsd_cut_off_max',function(){
		var max_cut = $("#_wscsd_cut_off_max").val();
		if( max_cut == '') {
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_fixed_date').css("display", "none");
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_period').css("display", "none");
		} else if( max_cut == 'fixed_date') {
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_fixed_date').css("display", "block");
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_period').css("display", "none");
		} else if( max_cut == 'period') {
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_fixed_date').css("display", "none");
			$(this).closest('._wscsd_cut_off_max_field').siblings('.wscsd_cut_off_max_period').css("display", "block");
		}
	});

		//VARIATIONS
	$('body').on('change', '[id^="_wscsd_delay_type"]', function(event) {
	  	var variation_ID = '\[' + (event.target.id).split("[").pop();
	  	if ( ( variation_ID ) && ( 0 < variation_ID.length ) ) {
		  	var delay_type = $(document.getElementById("_wscsd_delay_type" + variation_ID )).val();
			$(document.getElementById("_wscsd_fixed" + variation_ID )).css("display", "none");
			$(document.getElementById("_wscsd_delay" + variation_ID )).css("display", "none");
				
		    if( ( !delay_type ) || ( 'no_delay' == delay_type ) || ( 'product_default' == delay_type ) ) {
		        $(document.getElementById("_wscsd_hide_date_options" + variation_ID )).css("display", "block");
			 	$(document.getElementById("_wscsd_cut_off_field" + variation_ID )).css("display", "none");
			 	$(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "none");
			 	$(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "none");
			 	$(document.getElementById("_wscsd_delay_payment" + variation_ID )).css("display", "none");
			 	
		    } else {
		    	(document.getElementById("_wscsd_delay_payment" + variation_ID )).css("display", "block");
		    	if( delay_type == 'delay') {
		    		$(document.getElementById("_wscsd_hide_date_options" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_cut_off_field" + variation_ID )).css("display", "none");
			 		$(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "none");
			 	} else if( delay_type == 'fixed' ){
			 		$(document.getElementById("_wscsd_hide_date_options" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_cut_off_field" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "block");
			 	} else {
			 		$(document.getElementById("_wscsd_hide_date_options" + variation_ID )).css("display", "none");
			 		$(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "block");
			 		$(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "none");
			 		$(document.getElementById("_wscsd_cut_off_field" + variation_ID )).css("display", "block");	
			 	}
		    }
			$(document.getElementById("_wscsd_" + delay_type + variation_ID)).css("display", "block");
		}
	});

	//Display date options
	$('body').on('click', '[id^="_wscsd_hide_date"]', function(event) {
		var variation_ID = '\[' + (event.target.id).split("[").pop();
	    if ( ( variation_ID ) && ( 0 < variation_ID.length ) ) {
		    if($(document.getElementById("_wscsd_hide_date" + variation_ID )).prop("checked") == false) {
		          $(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "block");
		          $(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "block");
		    } else {
		    	$(document.getElementById("_wscsd_max_dates_field" + variation_ID )).css("display", "none");
		    	$(document.getElementById("_wscsd_start_date_label" + variation_ID )).css("display", "none");
		    }
		}
	});

	/*****
	Fixed dates
	******/
	//Add dates (Variable Subscription)
	$('body').on('click', '[id^="_wscsd_fixed_start_dates_add"]', function(event){
		var variation_ID = '\[' + (event.target.id).split("[").pop();
		if ( ( variation_ID ) && ( 0 < variation_ID.length ) ) {
			var start_date = $(document.getElementById("_wscsd_fixed_start_dates_field" + variation_ID )).val();
			if (start_date) {
				$(document.getElementById("_wscsd_fixed_start_dates_display" + variation_ID )).append("<span class='wscsd_fixed_start_date'><span class='wscsd_fixed_start_date_data'>"+start_date+"</span><span class='wscsd_fixed_start_date_delete'> X </span></span>");
	    	  	$(document.getElementById("_wscsd_fixed_start_dates_save" + variation_ID )).val($(this).closest('.wscsd_fixed').children('.wscsd_fixed_start_dates_save').val()  + start_date + '|');
	    	  	$(document.getElementById("_wscsd_fixed_start_dates_field" + variation_ID )).val('');
			}
		}
	});
	//Delete all dates (Variable Subscription)
	$('body').on('click', '[id^="_wscsd_fixed_start_dates_deleteall"]', function(event){
		var variation_ID = '\[' + (event.target.id).split("[").pop();
		if ( ( variation_ID ) && ( 0 < variation_ID.length ) ) {
			$(document.getElementById("_wscsd_fixed" + variation_ID)).children('.wscsd_fixed_start_dates_save').val('');
		    $(document.getElementById("_wscsd_fixed_start_dates_display" + variation_ID)).children('.wscsd_fixed_start_date').remove(); 
		}
	});
	//end variation

	$( ".single_variation_wrap" ).on( "show_variation", function ( event, variation ) {
    // Fired when the user selects all the required dropdowns / attributes
    // and a final variation is selected / shown
    $(variation.start_date_display).insertAfter(".woocommerce-variation-description");

	} ).on('hide_variation', function(event) {
		$('.wscsd_date_picker').remove();
	});



		// Make sure start date picker is in the past
	$( '.woocommerce-subscriptions.date-picker.hasDatepicker#start' ).datepicker( 'option', 'maxDate', null );

	// Make sure start date is before now on change js in assets/js/admin/meta-boxes-subscription.js?ver=6.9.2

	//Hide start date
	$( "#subscription-wscsd-start-date" ).filter(function() {
    	return $(this).next("#subscription-start-date").css("display", "none");
	});
});
