jQuery(function( $ ) {
    // Select the element with the 'wscsd_custom_start_date' class
    var $customStartDateDiv = $('.wscsd_custom_start_date');
    
    if ($customStartDateDiv.length) {
        //Remove the show_if_subscription & show_if_variable-subscription css classes b/c it only allows us to work if Simple or Variable Subsciption Product is selected from the Product Data dropdown.
        // $customStartDateDiv.removeClass('show_if_variable-subscription');
        $customStartDateDiv.removeClass('show_if_subscription');

        //Add the necessary classes
        $customStartDateDiv.addClass('show_if_simple');
        $customStartDateDiv.addClass('show_if_variable');
    }

    if (($('#product-type').val() === 'simple') && ($('.wscsd_custom_start_date').hasClass('show_if_simple'))) {
        $customStartDateDiv.css('display', 'block').css('important', true);
    }
});